IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_depart_insert]') AND type = 'TR')
DROP TRIGGER [dbo].[mps_depart_insert]
GO
--部门触发器

CREATE trigger [dbo].[mps_depart_insert] on [dbo].[mps_depart] for insert as
begin
insert into mps_sync(sk_type,sk_bizid,sk_tag2,sk_operation,sk_objid) 
   select 5,0,0,1,0 from inserted 

    declare
       @maxcard  int,
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
    return

declare @cmpid int 
select top 1 @cmpid = dp_cmpid from  inserted  
set @cmpid = isnull(@cmpid,0) 
    update mps_tableupdated set tu_updated=0 where tu_table='mps_depart'  and tu_cmpid=@cmpid  
 
    return

/*  Errors handling  */
error:
    -- raiserror @errno @errmsg
    rollback  transaction
end